DROP TABLE IF EXISTS {prefix}admin_users;
CREATE TABLE {prefix}admin_users (
  `username` varchar(255) NOT NULL default '',
  `passmd5` varchar(255) NOT NULL default '',
  `lastlogin` double default NULL,
  `access` tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}mod_users;
CREATE TABLE {prefix}mod_users (
  `username` varchar(255) NOT NULL default '',
  `passmd5` varchar(255) NOT NULL default '',
  `lastlogin` double default NULL,
  `access` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}panel_users;
CREATE TABLE {prefix}panel_users (
  `username` varchar(255) NOT NULL default '',
  `passmd5` varchar(255) NOT NULL default '',
  `lastlogin` double default NULL,
  `access` tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}banip;
CREATE TABLE {prefix}banip (
  `ip` varchar(255) NOT NULL,
  `bantype` int NOT NULL default 1,
  PRIMARY KEY  (`ip`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS {prefix}members;
CREATE TABLE {prefix}members (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(155) NOT NULL,
  `passmd5` varchar(155) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

ALTER TABLE {prefix}members ADD UNIQUE INDEX Index_2 (`username`);


DROP TABLE IF EXISTS {prefix}members_info;
CREATE TABLE {prefix}members_info (
  `visi_chat_user_id` int(10) unsigned NOT NULL,
  `visi_chat_user_banned` tinyint(1) unsigned default '0',
  `visi_chat_is_online` tinyint(1) unsigned default '0',
  `visi_chat_login_time` double default '0',
  `visi_chat_signup_time` double default '0',
  `visi_chat_timely_ban` double default '0',
  `visi_chat_is_mod` tinyint(1) unsigned default '0',
  `visi_chat_user_ip` varchar(20) default '',
  `visi_chat_salt` varchar(50) default NULL,
  `visi_chat_gender` varchar(1) default NULL,
  `visi_chat_picture` varchar(255) default NULL,
  `visi_chat_year_of_birth` int(10) unsigned default NULL,
  `visi_chat_set_profile` tinyint(1) unsigned NOT NULL default '0',
  `visi_chat_allow_private` tinyint(1) unsigned NOT NULL default '1',
  `visi_chat_who_view_mycam` tinyint(1) unsigned NOT NULL default '1',
  `visi_chat_email_code` varchar(255) NULL,
  `visi_chat_email_verified` tinyint(1) unsigned default '0',
  `visi_chat_paid_user` tinyint(1) unsigned default '0',
  `visi_chat_allow_cam` tinyint(1) unsigned default '0',
  `visi_chat_user_options` TEXT NULL,
  `visi_chat_country` varchar(255) NULL,
  `visi_chat_state` varchar(255) NULL,
  `visi_chat_city` varchar(255) NULL,
  `visi_chat_marital_status` varchar(255) NULL,
  `visi_chat_about` varchar(255) NULL,
  `visi_chat_credits` decimal(14,2) default '0',
  `visi_chat_votes` int default '0',
  `visi_chat_rate` decimal(10,2) default '0',
  `visi_chat_expire` double default '0',
  `visi_chat_online_sec` double default '0',
  `visi_chat_last_online` varchar(20) default '00-00-0000',
  `visi_chat_allow_invisible` tinyint(1) default '0',
  `visi_chat_invisible` tinyint(1) default '0',
  PRIMARY KEY  (`visi_chat_user_id`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS {prefix}rooms;
CREATE TABLE {prefix}rooms (
  `room_id` int(10) unsigned NOT NULL auto_increment,
  `room_name` varchar(150) NOT NULL,
  `room_capacity` int(10) unsigned NOT NULL default '40',
  `room_key` varchar(50) default NULL,
  `room_type` varchar(1) NOT NULL default '',
  `room_public` tinyint(3) unsigned NOT NULL default '1',
  `room_cam` tinyint(3) unsigned NOT NULL default '1',
  `room_voice` tinyint(3) unsigned NOT NULL default '1',
  `room_draw` tinyint(3) unsigned NOT NULL default '1',
  `room_adult` tinyint(3) unsigned NOT NULL default '0',
  `room_premium` tinyint(3) unsigned NOT NULL default '0',
  `room_order` int NOT NULL default '0',
  `room_creator` int(10) NULL default '0',
  `room_upload` tinyint(3) unsigned NOT NULL default '1',
  `room_youtube` tinyint(3) unsigned NOT NULL default '1',
  `room_gender` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`room_id`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS {prefix}setting;
CREATE TABLE {prefix}setting (
  `set_property` varchar(45) NOT NULL,
  `set_value` text NULL,
  PRIMARY KEY  (`set_property`)
) ENGINE=MyISAM;


DROP TABLE IF EXISTS {prefix}temp_pictures;
CREATE TABLE {prefix}temp_pictures (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `picname` varchar(255) NOT NULL default '',
  `u_code` varchar(255) NOT NULL default '',
  `p_type` varchar(1) NOT NULL default '',
  `p_time`  double default '0',
  `p_mime` varchar(255) default '',
  `p_name` varchar(255) default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}log_history;
CREATE TABLE {prefix}log_history (
  `idlog` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(255) NOT NULL,
  `room` VARCHAR(255) NOT NULL,
  `l_message` TEXT NOT NULL,
  `l_date` DOUBLE NOT NULL,
  `l_ip` VARCHAR(255) NOT NULL,
  `l_to` VARCHAR(255) NOT NULL,
  `l_access` tinyint NULL,
  PRIMARY KEY (`idlog`)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}room_users;
CREATE TABLE {prefix}room_users (
  `id` int(10) unsigned NOT NULL auto_increment,
  `userid` int(10) NOT NULL,
  `roomid` int(10) NOT NULL,
  `room_lock` tinyint(3) unsigned NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}gallery_movies;
CREATE TABLE {prefix}gallery_movies (
  `id` INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  `userid` INTEGER UNSIGNED NOT NULL,
  `movie` VARCHAR(255) NOT NULL,
  `date_added` DOUBLE NOT NULL,
  `approved` tinyint(3) Default 0 NOT NULL,
  `video` tinyint(3) Default 1 NOT NULL,
  PRIMARY KEY (`id`)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}banners;
CREATE TABLE {prefix}banners (
  id int(10) unsigned NOT NULL auto_increment,
  b_title varchar(255) NOT NULL,
  b_filename VARCHAR(255) NOT NULL,
  b_link VARCHAR(255) NOT NULL,
  b_start_time double default '0',
  b_prioroty INTEGER UNSIGNED NOT NULL,
  b_delay int(10) UNSIGNED NOT NULL,
  b_expire double default '0',
  b_click_expire int(10) UNSIGNED NOT NULL,
  b_view_expire int(10) UNSIGNED NOT NULL,
  b_active tinyint(3) unsigned NOT NULL default '1',
  b_newwindow tinyint(3) unsigned NOT NULL default '1',
  b_clicks INTEGER UNSIGNED NOT NULL,
  b_views INTEGER UNSIGNED NOT NULL,
  b_code VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}offline_messages;
CREATE TABLE {prefix}offline_messages (
  id int(10) unsigned NOT NULL auto_increment,
  m_from varchar(255) NOT NULL,
  m_to VARCHAR(255) NOT NULL,
  m_time double NOT NULL,
  m_message VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}friend_list;
CREATE TABLE {prefix}friend_list (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(255) NOT NULL,
  friendname VARCHAR(255) NOT NULL,
  approved tinyint(3) NOT NULL default 1,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}block_list;
CREATE TABLE {prefix}block_list (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(255) NOT NULL,
  blockname VARCHAR(255) NOT NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}votes;
CREATE TABLE {prefix}votes (
  id int(10) unsigned NOT NULL auto_increment,
  username varchar(255) NOT NULL,
  friendname VARCHAR(255) NOT NULL,
  vote_value int NOT NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}online_users;
CREATE TABLE {prefix}online_users (
 `id` int(10) unsigned NOT NULL auto_increment,
 `visi_online_userid` int(10) NOT NULL,
 `visi_online_username` varchar(255) NOT NULL,
 `visi_online_login_time` double default '0',
 `visi_online_salt` varchar(50) default NULL,
 `visi_client_id` varchar(50) default NULL,
 `visi_room_id` int(10) default '0',
 PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}badwords;
CREATE TABLE {prefix}badwords (
  `id` int(10) unsigned NOT NULL auto_increment,
  `badword` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}games;
CREATE TABLE {prefix}games (
  id int(10) unsigned NOT NULL auto_increment,
  g_title varchar(255) NOT NULL,
  g_filename VARCHAR(255) NOT NULL,
  g_priority int UNSIGNED NOT NULL default '0',
  g_active tinyint(3) unsigned NOT NULL default '1',
  g_rate int UNSIGNED NOT NULL default '0',
  g_votes int UNSIGNED NOT NULL default '0',
  g_width int UNSIGNED NOT NULL default '0',
  g_height int UNSIGNED NOT NULL default '0',
  g_played int UNSIGNED NOT NULL default '0',
  g_time double default '0',
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}transactions;
CREATE TABLE {prefix}transactions (
  `tra_id` int(10) unsigned NOT NULL auto_increment,
  `tra_sender_id` int(12) NOT NULL,
  `tra_receiver_id` int(12) NOT NULL,
  `tra_amount` decimal(14,2) default '0',
  `tra_reason` int default '0',
  `tra_date` double default '0',
  `tra_type` varchar(255) NULL,
  `tra_ticket` varchar(255) NULL,
  `tra_referral` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`tra_id`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}secure_setting;
CREATE TABLE {prefix}secure_setting (
  `set_property` varchar(50) NOT NULL,
  `set_value` text NULL,
  PRIMARY KEY  (`set_property`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS {prefix}gateways;
CREATE TABLE {prefix}gateways (
  id int(10) unsigned NOT NULL auto_increment,
  g_name varchar(255) NOT NULL,
  g_title varchar(255) NULL,
  g_credit decimal(14,2) default '1',
  g_active tinyint(3) unsigned NOT NULL default '0',
  g_order int UNSIGNED NOT NULL default '0',
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}gateway_options;
CREATE TABLE {prefix}gateway_options (
  g_id int(10) unsigned NOT NULL,
  o_name varchar(255) NOT NULL,
  o_value text NULL
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}ip2country;
CREATE TABLE {prefix}ip2country (
  i_from int(10) unsigned NOT NULL,
  i_to int(10) unsigned NOT NULL,
  i_code varchar(2) NULL,
  i_name varchar(40) NULL,
  PRIMARY KEY (i_from)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}bancountry;
CREATE TABLE {prefix}bancountry(
  b_code varchar(2)  NOT NULL,
  b_name varchar(40) NULL,
  PRIMARY KEY (b_code)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}reports;
CREATE TABLE {prefix}reports(
  id int(10) unsigned NOT NULL auto_increment,
  r_type smallint unsigned NOT NULL,
  username varchar(50) NULL,
  r_ip varchar(20) NULL,
  r_date double default '0',
  r_var varchar(50) NULL,
  description varchar(255) NULL,
  u_ip varchar(20) NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}emails;
CREATE TABLE {prefix}emails(
  id int(10) unsigned NOT NULL auto_increment,
  subject varchar(255) NULL,
  c_date double default '0',
  message text NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}password_recovery;
CREATE TABLE {prefix}password_recovery(
  id int(10) unsigned NOT NULL auto_increment,
  user_id int(10) not NULL,
  r_date double default '0',
  ip varchar(255) NOT NULL,
  keycode varchar(255) NOT NULL,
  PRIMARY KEY (id)
)ENGINE = MyISAM;

DROP TABLE IF EXISTS {prefix}widgets;
CREATE TABLE {prefix}widgets(
	id int(10) unsigned NOT NULL auto_increment,
	w_title varchar(255) NOT NULL,
	w_filename VARCHAR(255) NOT NULL,
	w_location VARCHAR(2) NOT NULL,
	w_height INTEGER default '0',
	w_room INTEGER UNSIGNED NOT NULL default '0',
	w_active tinyint(3) unsigned NOT NULL default '1',
	w_parameter text NULL,
	w_link varchar(255),
	PRIMARY KEY (id)
)ENGINE = MyISAM;