Drop table {prefix}admin_users;
CREATE TABLE {prefix}admin_users(
	[username] [varchar](255) NOT NULL,
	[passmd5] [varchar](255)  NOT NULL,
	[lastlogin] [bigint] NULL,
	[access] [tinyint] NOT NULL,
	PRIMARY KEY(username)
);


Drop table {prefix}banip;
CREATE TABLE {prefix}banip(
	[ip] [varchar](255) NOT NULL,
	[bantype] [tinyint] default 1,
	PRIMARY KEY(ip)
);
	
	
Drop table {prefix}members;
CREATE TABLE {prefix}members(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NOT NULL,
	[passmd5] [varchar](255) NOT NULL,
	[email] [varchar](255) NULL,	
	PRIMARY KEY(id)
);

Drop table {prefix}members_info;
CREATE TABLE {prefix}members_info(
	[visi_chat_user_id] [int] NOT NULL,	
	[visi_chat_user_banned] [tinyint] NULL,
	[visi_chat_is_online] [tinyint] NULL,
	[visi_chat_login_time] [bigint] NULL,
	[visi_chat_signup_time] [bigint] NULL,
	[visi_chat_timely_ban] [bigint] NULL,
	[visi_chat_is_mod] [tinyint] NULL,
	[visi_chat_user_ip] [varchar](20)  NULL,
	[visi_chat_salt] [varchar](50)  NULL,
	[visi_chat_gender] [varchar](1)  NULL,
	[visi_chat_picture] [varchar](255)  NULL,
	[visi_chat_year_of_birth] [int] NULL,
	[visi_chat_set_profile] [tinyint] NULL,
	[visi_chat_allow_private] [tinyint] NULL,
	[visi_chat_email_code] [varchar](255)  NULL,
	[visi_chat_email_verified] [tinyint] NULL,
	[visi_chat_paid_user] [tinyint] NULL,
	[visi_chat_user_options] [text] NULL,
	[visi_chat_allow_cam] [tinyint] NULL,
	[visi_chat_country] [varchar](255) NULL,
	[visi_chat_state] [varchar](255) NULL,
	[visi_chat_city] [varchar](255) NULL,
	[visi_chat_marital_status] [varchar](255) NULL,
	[visi_chat_about] [varchar](255) NULL,
	[visi_chat_credits] [decimal](14,2) NULL,
	[visi_chat_votes] int default 0,
	[visi_chat_rate] [decimal](10,2) NULL,
	[visi_chat_expire] [bigint] default 0,
	[visi_chat_online_sec] [bigint] default 0,
	[visi_chat_last_online] [varchar](20) default '00-00-0000',
	[visi_chat_allow_invisible] [tinyint] default '0',
	[visi_chat_invisible] [tinyint] default '0',
	PRIMARY KEY(visi_chat_user_id)
);

Drop table {prefix}rooms;
CREATE TABLE {prefix}rooms(
	[room_id] [int] IDENTITY(1,1) NOT NULL,
	[room_name] [varchar](150) NULL,
	[room_capacity] [int] NOT NULL,
	[room_key] [varchar](50) NULL,
	[room_type] [varchar](1) NULL,
	[room_public] [tinyint] NULL default 1,
	[room_cam] [tinyint] NULL default 1,
	[room_voice] [tinyint] NULL default 1,
	[room_draw] [tinyint] NULL default 1,
	[room_adult] [tinyint] NULL default 0,
	[room_premium] [tinyint] NULL default 0,
	[room_order] [int] NOT NULL default 0,
	[room_creator] [int] NULL default 0,
	[room_upload] [tinyint] NULL default 1,
	[room_youtube] [tinyint] NULL default 1,
	[room_gender] [tinyint] NULL default 0,
	PRIMARY KEY(room_id)
);

Drop table {prefix}setting;
CREATE TABLE [dbo].[{prefix}setting](
	[set_property] [varchar](45) NOT NULL,
	[set_value] [text] NULL,
	PRIMARY KEY(set_property)
);

Drop table {prefix}temp_pictures;
CREATE TABLE {prefix}temp_pictures(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NULL,
	[picname] [varchar](255) NULL,
	[u_code] [varchar](255) NULL,
	[p_type] [varchar](1) NULL,
	[p_time] [bigint] NULL,
	[p_mime] [varchar](255) NULL,
	[p_name] [varchar](255) NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}log_history;
CREATE TABLE {prefix}log_history(
	[idlog] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NULL,
	[room] [varchar](255) NULL,
	[l_message] [text] NULL,
	[l_date] [bigint] NULL,
	[l_ip] [varchar](20) NULL,
	[l_to] [varchar](255) NULL,
	[l_access] int NULL,
	PRIMARY KEY(idlog)
);

Drop table {prefix}room_users;
CREATE TABLE [dbo].[{prefix}room_users](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[userid] [int] NOT NULL,
	[roomid] [int] NOT NULL,
	[room_lock] [tinyint] NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}gallery_movies;
CREATE TABLE {prefix}gallery_movies(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[userid] [int] NOT NULL,
	[movie] [varchar](255) NOT NULL,
	[date_added] [bigint] NOT NULL,
	[approved] [tinyint]  NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}banners;
CREATE TABLE [dbo].[{prefix}banners](
	[id] [int] IDENTITY(1,1) NOT NULL,
	[b_title] [varchar](255) NOT NULL,
	[b_filename] [varchar](255) NOT NULL,
	[b_link] [varchar](255) NOT NULL,
	[b_start_time] [bigint] NOT NULL,
	[b_prioroty] [int] NOT NULL,
	[b_delay] [int] NOT NULL,
	[b_expire] [bigint] NOT NULL default 0,
	[b_click_expire] [int] NOT NULL,
	[b_view_expire] [int] NOT NULL,
	[b_active] [tinyint]  NOT NULL,
	[b_newwindow] [tinyint]  NOT NULL default 1,
	[b_clicks] [int] NOT NULL,
	[b_views] [int] NOT NULL,
	[b_code] [varchar](255) NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}offline_messages;
CREATE TABLE {prefix}offline_messages(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[m_from] [varchar](255) NOT NULL,
	[m_to] [varchar](255) NOT NULL,
	[m_time] [bigint] NOT NULL,
	[m_message] [varchar](255) NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}friend_list;
CREATE TABLE {prefix}friend_list(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NOT NULL,
	[friendname] [varchar](255) NOT NULL,
	[approved] [tinyint] NOT NULL  default 1,
	PRIMARY KEY(id)
);

Drop table {prefix}block_list;
CREATE TABLE {prefix}block_list(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NOT NULL,
	[blockname] [varchar](255) NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}votes;
CREATE TABLE {prefix}votes(
	[id] [int] IDENTITY(1,1) NOT NULL,
	[username] [varchar](255) NOT NULL,
	[friendname] [varchar](255) NOT NULL,
	[vote_value] int NOT NULL,
	PRIMARY KEY(id)
);

DROP TABLE {prefix}online_users;
CREATE TABLE {prefix}online_users (
 [id] [int] IDENTITY(1,1) NOT NULL,
 [visi_online_userid] [int] NOT NULL,
 [visi_online_username] [varchar](255) NOT NULL,
 [visi_online_login_time] [bigint] NOT NULL,
 [visi_client_id] [varchar](50) default NULL,
 [visi_room_id] [int] default '0',
	PRIMARY KEY(id)
);

Drop table {prefix}badwords;
CREATE TABLE {prefix}badwords(
[id] [int] IDENTITY(1,1) NOT NULL,
[badword] [varchar](255) NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}games;
CREATE TABLE {prefix}games(
  [id] [int] IDENTITY(1,1) NOT NULL,
  [g_title] [varchar](255) NOT NULL,
  [g_filename] [varchar](255) NOT NULL,
  [g_priority] [int] NOT NULL,
  [g_active] [tinyint]  NOT NULL,
  [g_rate] [int] NOT NULL,
  [g_votes] [int] NOT NULL,
  [g_width] [int] NOT NULL,
  [g_height] [int] NOT NULL,
  [g_played] [int] NOT NULL,
  [g_time] [bigint] NOT NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}transactions;
CREATE TABLE {prefix}transactions(
  [tra_id] [int] IDENTITY(1,1) NOT NULL,
  [tra_sender_id] [int] NOT NULL,
  [tra_receiver_id] [int] NOT NULL,
  [tra_amount] decimal(14,2) default '0',
  [tra_reason] [int] default '0',
  [tra_date] [bigint] default '0',
  [tra_type] [varchar](255) NULL,
  [tra_ticket] [varchar](255) NULL,
  [tra_referral] [int] NOT NULL default '0',
	PRIMARY KEY(tra_id)
);

Drop table {prefix}secure_setting;
CREATE TABLE {prefix}secure_setting(
	[set_property] [varchar](50) NOT NULL,
	[set_value] [text] NULL,
	PRIMARY KEY(set_property)
);

Drop table {prefix}gateways;
CREATE TABLE {prefix}gateways(
  [id] [int] IDENTITY(1,1) NOT NULL,
  [g_name] [varchar](255) NOT NULL,
  [g_title] [varchar](255) NULL,
  [g_credit] decimal(14,2) default '0',
  [g_active] [int] NOT NULL default '0',
  [g_order] [int] NOT NULL default '0',
	PRIMARY KEY(id)
);

Drop table {prefix}gateway_options;
CREATE TABLE [dbo].[{prefix}gateway_options](
  [o_id] [int] IDENTITY(1,1) NOT NULL,
  [o_name] [varchar](255) NOT NULL,
  [o_value] [varchar](255) NULL,
	PRIMARY KEY(o_id)
);

Drop table {prefix}ip2country;
CREATE TABLE {prefix}ip2country(
  [i_from] [int] IDENTITY(1,1) NOT NULL,
  [i_to] [int]  NOT NULL,
  [i_code] [varchar](2) NOT NULL,
  [i_name] [varchar](40) NOT NULL,
	PRIMARY KEY(i_from)
);

Drop table {prefix}bancountry;
CREATE TABLE {prefix}bancountry(
  [b_code] [varchar](2) NOT NULL,
  [b_name] [varchar](40) NOT NULL,
	PRIMARY KEY(b_code)
);

Drop table {prefix}reports;
CREATE TABLE {prefix}reports(
  [id] [int] IDENTITY(1,1) NOT NULL,
  [r_type] [int] NOT NULL,
  [username] [varchar](50) NULL, 
  [r_ip] [varchar](20)  NULL,
  [r_date] [bigint] default '0',
  [r_var] [varchar](50) NULL, 
  [description] [varchar](255) NULL,
	PRIMARY KEY(id)
);

Drop table {prefix}emails;
CREATE TABLE {prefix}emails(
  [id] [int] IDENTITY(1,1) NOT NULL,
  [subject] [varchar](255) NULL, 
  [c_date] [bigint] default '0',
  [message] [text] NULL, 
	PRIMARY KEY(id)
);

Drop table {prefix}password_recovery;
CREATE TABLE {prefix}password_recovery(
  [id] [int] IDENTITY(1,1) NOT NULL,
  [user_id] [int] NOT NULL, 
  [r_date] [bigint] default '0',
  [ip] [varchar](255) NULL,
  [keycode] [varchar](255) NULL,
	PRIMARY KEY(id)
);

DROP TABLE IF EXISTS {prefix}widgets;
CREATE TABLE {prefix}widgets(
	[id] [int] IDENTITY(1,1) NOT NULL,
	w_title varchar(255) NOT NULL,
	w_filename VARCHAR(255) NOT NULL,
	w_location VARCHAR(2) NOT NULL,
	w_height INTEGER default '0',
	w_room INTEGER UNSIGNED NOT NULL default '0',
	w_active tinyint(3) unsigned NOT NULL default '1',
	w_link varchar(255),
	PRIMARY KEY (id)
);