<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("library/factory.php");
header("Content-type: text/xml");

$factory = new factory();
$setting = $factory->getInstance("GSetting");
$visichat = $factory->getInstance("visichat");


$url = $setting->get("mediaplayer_playlist_url");


if( substr($url,0,7) == "http://")
{
	if($visichat->getRemoteFileSize($url) > 0 && $visichat->getRemoteFileSize($url) < 1000000 )
	{
		readfile($url);
	}
	else
	{
		generate();
	}
}
else
{
	generate();
}


function generate()
{
	// Set this to the folder path where you keep your mp3 files
	$music_folder = "music";
	$music_dir = "../music";
	
	// allowed extensions in the playlist
	$allowed_ext = array("mp3" , "flv");
	
	// get music absolute URL
	$music_url = "http://".$_SERVER["HTTP_HOST"].substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-23).$music_folder;
	
	
	// Directory separator
	if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') 
	{
		define('DS','\\');
	}
	else
	{
		define('DS','/');
	} 
	
	// playlist starting tags
	echo '<?xml version="1.0" encoding="UTF-8"?>';
	echo '<playlist version="0" xmlns = "http://xspf.org/ns/0/">';
	echo '	<trackList>';
	
	// if  music_dir is a directory
	if (is_dir($music_dir)) 
	{
		
		// read music folder contents
		if ($dh = opendir($music_dir)) 
		{
			
			
			while (($file = readdir($dh)) !== false) 
			{
				// file path
				$file_path = $music_dir .DS. $file;
				
				if (filetype($file_path) == "file")
				{
					
					$file_info = pathinfo($file_path);
					if( in_array($file_info["extension"], $allowed_ext))
					{
						echo '		<track>';
						echo '			<location>'.$music_url."/".$file.'</location>';
						echo '			<annotation>'.$file_info["filename"].'</annotation>';
						echo '		</track>';
					}
				}
			}
			closedir($dh);
		}
	}
	
	echo '	</trackList>';
	echo '</playlist>';
}


?>