<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/

function getAge($integration,$row){
	global $db,$setting;
	switch ($integration){		
		case 'SocialEngine':
			$birthday_field = 'value'; // Change if required
			$res = $db->run_query("select year(value) as year from engine4_user_fields_values where field_id =6 and item_id=".$row[$setting->get("id_field")]);
			if($db->get_num_rows($res)>0){
				$row2 = $db->fetch_assoc($res);
				$db->free_result($res);
				return $row2["year"];
			}
		break;
		case 'phpfox':
			return $row["year"];
		break;
		case 'SkaDate':
			$time = strtotime($row["birthdate"]);
			return date("Y",$time);
		break;
		case 'joomla 1':
			// in admin > integration, put /images/comprofiler in picture and thumbnail path
			$res = $db->run_query("select year(cb_birthday) as year from ".$setting->get("integrate_prefix")."comprofiler where user_id=".$db->escape_string($row[$setting->get("id_field")]));
			if($db->get_num_rows($res)>0){
				$picrow = $db->fetch_assoc($res);
				return $picrow["year"];
			}
			$db->free_result($res);
		break;			
		default:
			return $row["visi_chat_year_of_birth"];
		break;
	
	}
}

function getGender($integration,$row){
	global $db,$setting;
	switch ($integration){		
		case 'SocialEngine':
			$gender_field = 'value'; // Change if required
			$res = $db->run_query("select value as gender from engine4_user_fields_values where field_id=5 and item_id=".$row[$setting->get("id_field")]);
			if($db->get_num_rows($res)>0){
				$row2 = $db->fetch_assoc($res);
				$db->free_result($res);
				if($row2["gender"] == "2"){
					return "m";
				}
				if($row2["gender"] == "3"){
					return "f";
				}
				return "n";
			}
		break;
		case 'phpfox':
			if($row["gender"] == "328"){
				return "m";
			}
			if($row["gender"] == "329"){
				return "f";
			}
			return "n";
		break;
		case 'SkaDate':
			if($row["sex"] == "4"){
				return "c";
			}
			if($row["gender"] == "1"){
				return "f";
			}
			if($row["gender"] == "2"){
				return "m";
			}
			return "n";
		break;
		case 'joomla 1':
			// in admin > integration, put /images/comprofiler in picture and thumbnail path
			$res = $db->run_query("select * from ".$setting->get("integrate_prefix")."comprofiler where user_id=".$db->escape_string($row[$setting->get("id_field")]));
			if($db->get_num_rows($res)>0){
				$picrow = $db->fetch_assoc($res);
				if($picrow["cb_sex"] == "Male"){
					return "m";	
				}
				if($picrow["cb_sex"] == "Female"){
					return "f";	
				}
				return "n";
			}
			$db->free_result($res);
		break;	
		default:
			return $row["visi_chat_gender"];
		break;
	
	}
}

function getPicture($row){
	global $db,$setting;
	$userid = $row[$setting->get("id_field")];
	if($setting->get("integrate") == "SocialEngine"){	
		
		$photo_id = $row["photo_id"];
			
		$res = $db->run_query("select * from ".$setting->get("integrate_prefix")."storage_files  where file_id=".$db->escape_string($photo_id));	 
		if($db->get_num_rows($res) == 0)
		{
			return "images/nopicn.jpg";
		}
		
		$rowfile = $db->fetch_assoc($res);
		return substr($rowfile["storage_path"],7);
	}
	if($setting->get("integrate") == "phpfox"){
		return "/file/pic/user/".$userid = $row[$setting->get("username_field")]."_120.jpg";
	}
	if($setting->get("integrate") == "SkaDate"){
		// in admin > integration, put /$userfiles in picture and thumbnail path
		$res = $db->run_query("select * from ".$setting->get("integrate_prefix")."profile_photo WHERE status='active' and profile_id=".$db->escape_string($userid));
		if($db->get_num_rows($res)>0){
			$picrow = $db->fetch_assoc($res);
			return "/$userfiles/thumb_".$userid."_".$picrow["photo_id"]."_".$picrow["index"].".jpg";
		}
		$db->free_result($res);
	}
	if($setting->get("integrate") == "joomla 1"){
		// in admin > integration, put /images/comprofiler in picture and thumbnail path
		$res = $db->run_query("select * from ".$setting->get("integrate_prefix")."comprofiler where user_id=".$db->escape_string($userid));
		if($db->get_num_rows($res)>0){
			$picrow = $db->fetch_assoc($res);
			return "/images/comprofiler/tn".$picrow["avatar"];
		}
		$db->free_result($res);
	}
	return $row[$setting->get("picture_field")];
}
?>
