<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/


// Turn on/off development mode
define("DEV_MODE",false);


error_reporting(0);
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
header ("Pragma: no-cache");

@set_magic_quotes_runtime(0);
ini_set("magic_quotes_gpc", "0");
ini_set("magic_quotes_runtime","0");
ini_set("magic_quotes_sybase","0");

if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
	define('DS','\\');
}else{
	define('DS',"/");
}

define('LIB_PATH',dirname(__FILE__));


class factory{
	
	function &get_db(){
		static $instance;
		$config = factory::getInstance("config");
		if(!isset($instance)){
			$db_path = LIB_PATH.DS."database".DS.$config->dbtype.".php";
			if(!is_file($db_path)){
				die("Invalid database type.");
			}else{
				require_once $db_path;
				$db_class =  $config->dbtype."_db";
				$instance = new $db_class();
			}
		}
		return $instance;
	}
	
    function &getInstance ($class, $arg1=null, $newclass=false){
        static $instances = array();
        if (array_key_exists($class, $instances) && !$newclass){
            $instance =& $instances[$class];
        }else{
            if (!class_exists($class)){
            	
                switch ($class){
                	case 'config':
                		require_once LIB_PATH.DS.'..'.DS.'..'.DS.'config.php';
                	break;
					case 'language':
						require_once LIB_PATH.DS.'language.php';
					break;
					case 'setting':
						require_once LIB_PATH.DS.'setting.php';
					break;
					case 'GSetting':
						if(!is_file(LIB_PATH.DS.'..'.DS.'..'.DS.'cache/GSetting.php')){
							require_once LIB_PATH.DS.'setting.php';
							$setting = new setting();
							$setting->update();
						}
						require_once LIB_PATH.DS.'..'.DS.'..'.DS.'cache/GSetting.php';
					break;
					case 'secure_setting':
						require_once LIB_PATH.DS.'secure_setting.php';
					break;
					case 'visichat':
						require_once LIB_PATH.DS.'visichat.php';
					break;
					case 'payment':
						require_once LIB_PATH.DS.'payment.php';
					break;
                }
            }
            $instances[$class] = new $class($arg1);
            $instance =& $instances[$class];
        }
        return $instance;
    }	
	
	function sendEmail($to,$subject,$message){
		$setting = $this->getInstance("GSetting");
		$message = str_replace(chr(13),"<br>",$message);
		$headers = 'From: '.$setting->get("website_title").'<'.$setting->get("website_email").">\n";	
		$headers .= 'MIME-Version: 1.0' . "\n";
		$headers .= 'Content-type: text/html; charset=iso-8859-1';
		return @mail($to,$subject,$message,$headers);
	}
}


function post($var){
	if(isset($_POST[$var])){
		return $_POST[$var];
	}else{
		return "";
	}
}
function get($var){
	if(isset($_GET[$var])){
		return $_GET[$var];
	}else{
		return "";
	}
}
function session($var){
	if(isset($_SESSION[$var])){
		return $_SESSION[$var];
	}else{
		return "";
	}
}

?>