<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include_once(dirname(__FILE__)."/factory.php");
class payment{
	var $factory;
	var $db;
	var $config;
	var $gateways_table = "";
	var $gateways_option_table = "";
	var $gateways = array(
		array("allopass-sms",
			array(
				array("ID","id_code","text","XXXXXX/XXXXXX/XXXXXX ID Number for your document"),
				array("Site ID","site_id","text","Number of credits to be added in users account after they send SMS"),
				array("Document ID","doc_id","text","Document ID"),
				array("Country","lg_code","text", "Default country code","uk"),
			),
			array(
				array("userid","DATAS"),
				array("curl","no"),
				array("openssl","no")
			),
			"URL of the document"
		),
		array("allopass-cc",
			array(
				array("ID","id_code","text","XXXXXX/XXXXXX/XXXXXX ID Number for your document"),
				array("Site ID","site_id","text","Number of credits to be added in users account after they send SMS"),
				array("Document ID","doc_id","text","Document ID"),
				array("Country","lg_code","text", "Default country code","uk"),
			),
			array(
				array("userid","DATAS"),
				array("curl","no"),
				array("openssl","no")
			),
			"URL of the document"
		),		
		// Gateway Name
		array("usaepay",
		// Variables
		array(
			array("Your secure key","secure_key"),
			array("Price","price","text","Price of given amount of credits (0.00 format)","1.00"),
			array("Description","description","text","","Purchase Credits")
		),
		// Post Back
			array(
				array("userid","id"),
				array("curl","no"),
				array("openssl","no")
			),
		"Approved URL and Declined URL"
		),
		// Gateway Name
		array("paypal",
		// Variable
		array(
			array("Your paypal email","paypal_email"),
			array("Price","price","text","Price of given amount of credits (0.00 format)","1.00"),
			array("Currency","currency","text","USD, EUR,...","USD"),
			array("Description","item_name","text","","Purchase Credits")
			
		),
		// Post Back
			array(
				array("userid","id"),
				array("curl","no"),
				array("openssl","yes")
			),
		""
		),
		// Gateway Name
		array("alertpay",
		// Variable
		array(
			array("Your alertpay email","alertpay_email"),
			array("Encrypted Security Code","security_code"),
			array("Price","price","text","Price of given amount of credits (0.00 format)","1.00"),
			array("Currency","currency","text","USD, EUR,...","USD"),
			array("Description","item_name","text","","Purchase Credits")
			
		),
		// Post Back
			array(
				array("userid","ap_itemcode"),
				array("curl","no"),
				array("openssl","no")
			),
		"Alert URL"
		),
		
		// Gateway Name
		array("buckaroo",
		// Variable
		array(
			array("Your Buckaroo merchant key","buckaroo_merchant"),
			array("Language code","language_code"),
			array("Price in Euro in cents","price","text","Price of given amount of credits (in cents for example 100 for 1.00)","100"),
			array("Description","item_name","text","","Purchase Credits"),
			array("SecretKey","secret_key","text"),
		),
		// Post Back
			array(
				array("userid","bpe_reference"),
				array("curl","no"),
				array("openssl","no")
			),
		"Alert URL"
		),

		// Gateway Name
		array("targetpay",
		// Variable
		array(
			array("Your TargetPay Service ID","targetpay_service","text","You can find it under My Account/Manage my products"),
			array("Subaccount","targetpay_subaccount"),
			array("Price","price","text","Price of given amount of credits","1.00"),
			array("Description","item_name","text","","Purchase Credits"),
			array("Adult status","is_adult","text","If your website is adult enter 1, otherwise enter 0","1"),
			array("Hash PHP generated code","hash_code","text","You can find this in the PHP generated file in the targetpay website")
			
		),
		// Post Back
			array(
				array("curl","no"),
				array("openssl","no")
			),
		"Alert URL"
		)		
		
	);
	
	function payment(){
		$this->factory	= new factory();
		$this->db 		= $this->factory->get_db();
		$this->config	= $this->factory->getInstance("config");
		$this->gateways_table = $this->config->prefix."gateways";
		$this->gateways_option_table = $this->config->prefix."gateway_options";
	}
	// Check if gateway is valid
	function isValid($gateway){
		for($i=0;$i<count($this->gateways);$i++){
			if($this->gateways[$i][0]==$gateway){
				return true;
			}
		}
		return false;
	}
	// Check gateway activation status
	function isActive($id){
		$active = false;	
		$res = $this->db->run_query("select * from ".$this->gateways_table." where id=".$this->db->escape_string($id));
		if($this->db->get_num_rows($res) >0){
			$row = $this->db->fetch_assoc($res);
			if($row["g_active"]==1){
				$active =  true;
			}
		}
		$this->db->free_result($res);
		return $active;
	}
	function get($gateway){
		for($i=0;$i<count($this->gateways);$i++){
			if($this->gateways[$i][0]==$gateway){
				return $this->gateways[$i];
			}
		}
	}
	// Adds a payment gateway
	function add($gateway){
		$this->db->run_query("insert into ".$this->gateways_table."(g_name,g_active,g_order) values('".$this->db->escape_string($gateway)."',0,0)");
	}
	// Adds an option to the given payment gateway
	function addOption($id,$option,$value){
		$this->db->run_query("delete from ".$this->gateways_option_table." where g_id=".$this->db->escape_string($id)." and o_name='".$this->db->escape_string($option)."'");
		$this->db->run_query("insert into ".$this->gateways_option_table."(g_id,o_name,o_value) values(".$this->db->escape_string($id).",'".$this->db->escape_string($option)."','".$this->db->escape_string($value)."')");
	}
	// Returns options for the given payment gateway
	function getOptions($id){
		$options = array();
		if(!is_numeric($id) || $id == ""){
			return null;
		}
		$res = $this->db->run_query("select * from ".$this->gateways_option_table." where g_id=".$this->db->escape_string($id));
		for($i=0;$i<$this->db->get_num_rows($res);$i++){
			$row = $this->db->fetch_assoc($res,$i);
			$options[$row["o_name"]] = $row["o_value"];
		}
		$row  = $this->db->fetch_assoc($res);
		$this->db->free_result($res);
		return $options;
	}
	// Check if payment gateway is added already
	function isExists($gateway){
		$res = $this->db->run_query("select * from ".$this->gateways_table." where g_name='".$this->db->escape_string($gateway)."'");
		$exists = false;
		if($this->db->get_num_rows($res) >0){
			$exists = true;
		}
		$this->db->free_result($res);
		return $exists;
	}
	// Check if payment gateway exists by id
	function idExists($id){
		$res = $this->db->run_query("select * from ".$this->gateways_table." where id=".$this->db->escape_string($id));
		$exists = false;
		if($this->db->get_num_rows($res) >0){
			$exists = true;
		}
		$this->db->free_result($res);
		return $exists;
	}	
	// Removes payment gateway
	function remove($id){
		$this->db->run_query("delete from ".$this->gateways_option_table." where o_id=".$this->db->escape_string($id));
		$this->db->run_query("delete from ".$this->gateways_table." where id=".$this->db->escape_string($id));
		
	}
}
?>