<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      		  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchat Design Studio           |
\*****************************************************************************/
include_once(dirname(__FILE__)."/factory.php");

class secure_setting{
	var $factory;
	var $config;
	var $db;
	var $property;
	function secure_setting(){
		$this->factory 	= new factory();
		$this->config 	= $this->factory->getInstance("config");
		$this->db		= $this->factory->get_db();
		$this->load_setting();
	}
	
	function set($key,$value){
		$this->property[$key] = $value;
		ksort($this->property);
	}
	
	function get($key){
		if(isset($this->property[$key])){
			if($this->property[$key]==" "){
				return "";
			}
			return $this->property[$key];
			
		}else{
			return "";
		}
	}
	
	function load_setting(){
		$res = $this->db->run_query("select * from ".$this->config->prefix."secure_setting");
		for($i=0;$i<$this->db->get_num_rows($res);$i++){
			$row = $this->db->fetch_assoc($res,$i);
			$this->property[$row["set_property"]] = $row["set_value"];
		}
		$this->db->free_result($res);
	
	}
	function remove($property){
		$this->db->run_query("delete from ".$this->config->prefix."secure_setting where set_property='".$this->db->escape_string($property)."'");
		$this->set($property,"");
	}
	// Save setting
	function save(){
		foreach($this->property as $i=>$key){
			$res = $this->db->run_query("select * from ".$this->config->prefix."secure_setting where set_property='".$this->db->escape_string($i)."'");
			if($this->db->get_num_rows($res)>0){
				$this->db->run_query("update ".$this->config->prefix."secure_setting set set_property='".$this->db->escape_string($i)."', set_value='".$this->db->escape_string($key)."' where set_property='".$this->db->escape_string($i)."'");
			}else{
				$this->db->run_query("insert into ".$this->config->prefix."secure_setting (set_property,set_value) values('".$this->db->escape_string($i)."','".$this->db->escape_string($key)."')");
			}
		}
	
	}

}

?>