<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
define("visichat_pay","1");
include_once("../library/nocache.php");
include_once("../library/factory.php");
$factory 	= new factory();
$db 		= $factory->get_db();
$setting 	= $factory->getInstance("GSetting");
$config = $factory->getInstance("config");
$payment = $factory->getInstance("payment");
$members_table = $setting->get("members_table");
$members_info_table = $setting->get("members_info_table");
$id_field = $setting->get("id_field");
$gateways_table = $config->prefix."gateways";
// Getting payment method
$method = 0;
if(isset($_GET["g"])){
	if(is_numeric($_GET["g"]) && $_GET["g"] != "" && $_GET["g"]>0){
		$method = $_GET["g"];
	}
}

// Get Referral id
$referral = 0;
if(isset($_GET["referral"])){
	if(is_numeric($_GET["referral"]) && $_GET["referral"] != "" && $_GET["referral"]>0){
		$res = $db->run_query("select * from ".$members_table." where ".$id_field."=".$db->escape_string($_GET["referral"]));
		if($db->get_num_rows($res) >0){
			$referral = $_GET["referral"];	
		}
	}
}

// Declaring urls
$scripts_url = "http://".$_SERVER["HTTP_HOST"].substr($_SERVER["PHP_SELF"],0,strlen($_SERVER["PHP_SELF"])-16)."/";
$notify_url = $scripts_url."payment/notify.php?g=".$_GET["g"]."&id=".$_GET["id"]."&referral=".$referral;
$error_url = $scripts_url."payment/result.php?res=error&g=".$method."&id=".$_GET["id"];
$success_url = $scripts_url."payment/result.php?res=success&g=".$method."&id=".$_GET["id"];
// Getting user id
$userid = 0;
if(isset($_GET["id"])){
	if(is_numeric($_GET["id"]) && $_GET["id"] != "" && $_GET["id"]>0){
		$userid = $_GET["id"];
	}
}

// Validating user id
$res = $db->run_query("select * from ".$members_table." where ".$id_field."=".$db->escape_string($userid));
if($db->get_num_rows($res)==0){
	die("An error occurred. Please try again...");
}
$db->free_result($res);
// Checking payment method
if(!$payment->isActive($method)){
	die("An error occurred. Please try again...");
}

// getting payment details
$res = $db->run_query("select * from ".$gateways_table." where id=".$db->escape_string($method));
$row = $db->fetch_assoc($res);
$db->free_result($res);

// Double checking payment method
if(!$payment->isValid($row["g_name"])){
	die("An error occurred. Please try again...");
}

$gateway = $row["g_name"];
$options = $payment->getOptions($method);

switch($gateway){
	case 'allopass-sms':
		include("allopass-sms/form.php");
	break;
	case 'allopass-cc':
		include("allopass-cc/form.php");
	break;	
	case 'usaepay':
		include("usaepay/form.php");
	break;	
	case 'paypal':
		include("paypal/form.php");
	break;
	case 'alertpay':
		include("alertpay/form.php");
	break;
	case 'buckaroo':
		include("buckaroo/form.php");
	break;
	case 'targetpay':
		include("targetpay/form.php");
	break;
}

?>

