<?php
/****************************************************************************\|
| Gchats Visichat		                                               		  |
| Copyright (c) 2007-2012 Gchats http://www.gchats.com      				  |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT"  |
| FILE PROVIDED WITH THIS DISTRIBUTION.                                       |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| GCHATS Visichat 2.0 PROGRAM WITH  THIS  AGREEMENT.                          |
| PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS  LICENSE AGREEMENT |
| CAREFULLY   BEFORE   INSTALLING   OR  USING  THE  SOFTWARE.  BY INSTALLING, |
| COPYING   OR   OTHERWISE   USING   THE   SOFTWARE,  YOU  AND  YOUR  COMPANY |
| (COLLECTIVELY,  "YOU")  ARE  ACCEPTING  AND AGREEING  TO  THE TERMS OF THIS |
| LICENSE   AGREEMENT.   IF  YOU    ARE  NOT  WILLING   TO  BE  BOUND BY THIS |
| AGREEMENT, DO  NOT INSTALL OR USE THE SOFTWARE.  VARIOUS   COPYRIGHTS   AND |
| OTHER   INTELLECTUAL   PROPERTY   RIGHTS    PROTECT   THE   SOFTWARE.  THIS |
| AGREEMENT IS A LICENSE AGREEMENT THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE |
| THE  SOFTWARE   AND  NOT  AN  AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE.|
| THE AUTHOR RETAINS ALL RIGHTS NOT EXPRESSLY GRANTED BY THIS AGREEMENT.      |
|                                                                             |
| The Initial Developer of the Original Code is Gchats.com			          |
\*****************************************************************************/
include_once("library/factory.php");
$factory 	= new factory();
$db 		= $factory->get_db();
$config 	= $factory->getInstance("config");
$setting 	= $factory->getInstance("GSetting");
$members_table = $setting->get("members_table");
$log_history_table = $setting->get("log_history_table");
$room_table = $setting->get("room_table");

if($setting->get("enable_show_log_file") != "yes")
{
	die("This feature has been disabled by administrator");	
}

$res = $db->run_query("select * from ".$room_table);
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	$rooms[$row["room_id"]] = $row["room_name"];	
}
$db->free_result($res);

$pagesize = 50;
if(is_numeric($_GET["rows"]) && $_GET["rows"] != "" && $_GET["rows"]>0 &&  $_GET["rows"]<=1000){
	$pagesize = $_GET["rows"];
}
$show_join = false;
if($_GET["showjoin"]!="yes"){
	$show_join = true;
}

// Generating query
$sql = "select * from ".$log_history_table." where l_to =''";
$q = "";
if($show_join){
	$q .= " and username !='|chat console|'";
}
if($_GET["room"] != ""){
	$q .=" and room='".$db->escape_string($_GET["room"])."'";
}
$sql = $sql.$q;

?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta http-equiv="refresh" content="15">
<title>Chat Log</title>
<style type="text/css">
<!--
.txt {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000000;
	text-decoration: none;
}
.message {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	text-decoration: none;
	background-color:#F7F7F7;
	margin: 1px;
	padding: 3px;
}
-->
</style>
<script language="javascript">
function writeDate(seconds){
	var now = new Date();
	now.setTime((Math.floor(now.getTime()/1000)-seconds)*1000);
	document.write(formatNumber(now.getHours())+":"+formatNumber(now.getMinutes())+":"+formatNumber(now.getSeconds()));
}
function formatNumber(number){
	if(number<10){
		return "0"+number;
	}
	return number;
}
</script>
</head>

<body>
<div <?php if($setting->get("styles_showlog_link")!= ""){?>onClick="window.location='<?php echo $setting->get("styles_showlog_link");?>'" style="cursor:pointer"<?php }?> class="txt">
<?php
$res = $db->run_query($sql,1,$pagesize,"l_date",true);
for($i=0;$i<$db->get_num_rows($res);$i++){
	$row = $db->fetch_assoc($res,$i);
	$second = time()-$row["l_date"];
	if($row["username"] == "|chat console|"){
		echo "<div class='message'><b><font color='".getUserColor($row["l_access"])."'>".htmlspecialchars($row["l_message"])." ".htmlspecialchars($rooms[$row["room"]])."</font></b> [<script language='javascript'>writeDate(".$second.");</script>]</div>";
	}else{
		echo "<div class='message'><b><font color='".getUserColor($row["l_access"])."'>".htmlspecialchars($row["username"])."</font></b> [<script language='javascript'>writeDate(".$second.");</script>]: ".htmlspecialchars($row["l_message"])."</div>";
	}
}
$db->free_result($res);
$db->close();

function getUserColor($level){
	switch($level){
		case "5":
			return "#FF0000"; 
		break;
		case "4":
			return "#FF6600";
		break;
		case "3":
			return "#9966CC";
		break;
		case "2":
			return "#0000FF";
		break;
		default:
			return "#000000";
		break;
	}
}
?>
</div>
</body>
</html>